View Issue Details

IDProjectCategoryView StatusLast Update
0021900mantisbtperformancepublic2016-11-27 05:56
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021900: Custom fields produce a large number of db queries
Description

To get custom fields values, the value is fetched one query at a time.
So in a view-all page showing 50 bugs and 4 custom fields columns, this produces 200 queries.

TagsNo tags attached.

Relationships

related to 0021964 closedcproensa Editing issues with custom fields throws system notice 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.3.x b613c438

2016-11-12 08:09:21

cproensa


Committer: dregad Details Diff
Implement custom fields value cache

Implement a method to cache the values for custom field values.
Reduces the number of executed database queries by loading and reusing
all needed values for several bugs.

Fixes: 0021900
mod - bug_view_inc.php Diff File
mod - core/bug_api.php Diff File
mod - core/custom_field_api.php Diff File

MantisBT: master-1.3.x 31385f2f

2016-11-26 04:40:59

dregad

Details Diff
Bug cache performance improvements

Merge of PR https://github.com/mantisbt/mantisbt/pull/948

Fixes 0021900, 0021914
mod - bug_view_inc.php Diff File
mod - core/bug_api.php Diff File
mod - core/classes/MantisColumn.class.php Diff File
mod - core/custom_field_api.php Diff File
mod - core/tag_api.php Diff File
mod - core/user_api.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File
mod - my_view_inc.php Diff File
mod - tag_delete.php Diff File
mod - tag_update.php Diff File
mod - tag_update_page.php Diff File
mod - tag_view_page.php Diff File

Issue History

Date Modified Username Field Change
2016-11-12 10:43 cproensa New Issue
2016-11-12 11:01 cproensa Assigned To => cproensa
2016-11-12 11:01 cproensa Status new => assigned
2016-11-26 04:42 dregad Changeset attached => MantisBT master-1.3.x b613c438
2016-11-26 04:42 dregad Changeset attached => MantisBT master-1.3.x 31385f2f
2016-11-26 04:42 dregad Assigned To cproensa => dregad
2016-11-26 04:42 dregad Status assigned => resolved
2016-11-26 04:42 dregad Resolution open => fixed
2016-11-26 04:42 dregad Fixed in Version => 1.3.4
2016-11-26 04:46 dregad Assigned To dregad => cproensa
2016-11-26 04:46 dregad Target Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed
2016-11-27 05:56 atrol Relationship added related to 0021964